# Update account callouts

Updates account callouts. Works with Google Ads.

```http
PUT https://api.pozy.ai/v1/ads/accounts/callouts
```

- Area: Ads / Ad Accounts
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required: Matches `^[a-fA-F0-9]{24}$`
- `adAccountId`, string: Matches `^\d+$`
- `customerId`, string: Matches `^\d+$`
- `updates`, array of object, required: At least 1 item. Up to 20 items
  - `assetResourceName`, string, required: Matches `^customers/\d+/assets/\d+$`
  - `calloutAsset`, object
    - `calloutText`, string, required: 1 to 25 characters

## Example request

```bash
curl -X PUT "https://api.pozy.ai/v1/ads/accounts/callouts" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "updates": [
    {
      "assetResourceName": "Acme"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/accounts/callouts", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    updates: [
      {
        assetResourceName: "Acme"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.put(
    "https://api.pozy.ai/v1/ads/accounts/callouts",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "updates": [
            {
                "assetResourceName": "Acme",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `updated`, integer
- `customerId`, string

```json
{
  "updated": 1,
  "customerId": "691909ff82eb5ed7c816716d"
}
```
